BIO_S_NULL(3)

NAME
BIO_s_null - null data sink

SYNOPSIS
#include <openssl/bio.h>
const BIO_METHOD *
BIO_s_null(void);

DESCRIPTION
BIO_s_null() returns the null sink BIO method. Data written to the null sink is discarded, reads return EOF.

A null sink BIO behaves in a similar manner to the null(4) device.

A null BIO can be placed on the end of a chain to discard any data passed through it.

A null sink is useful if, for example, an application wishes to digest some data by writing through a digest bio but not send the digested data anywhere. Since a BIO chain must normally include a source/sink BIO, this can be achieved by adding a null sink BIO to the end of the chain.

RETURN VALUES
BIO_s_null() returns the null sink BIO method.

When called on a null sink BIO object, BIO_method_type(3) returns the constant BIO_TYPE_NULL and BIO_method_name(3) returns a pointer to the static string "NULL", not to be confused with a NUL string nor with a NULL pointer.

SEE ALSO
BIO_new(3)

HISTORY
BIO_s_null() first appeared in SSLeay 0.6.0 and has been available since OpenBSD 2.4.